PDA

View Full Version : Upgrade notes for 5.4.0 RPM to 6.0.0



Michael Amster
2005-03-30, 14:35
Hi:

I looked at the release notes to see if there were any issues in
upgrading from 5.4.0 to 6.0.0. I know that I will have to upgrade
Softsqueeze to the appropriate 2.0bx release, but are there any other
steps that I should take before doing an 'rpm -Uvh'?

My setup is the following:

1. Linux FC3 server running Slimserver 5.4.0 (maybe one of the nightlies
2005_01_01-1 it turns out)
2. 2 Softsqueeze installations
3. 1 SB1
4. 1 SB2 (any day now I guess)
5. Approximately 5000 FLAC music files on a NFS file server
6. Linksys WAP54g Access Point

I have had good luck to date with this setup. I want to understand if I
need to save any config information or anything else to make the
transition easy as possible.

-MA

momerath
2005-03-31, 06:35
I'm on gentoo, so, obviously, YMMV, but upgrading from the 5.4.0 rpm
to 6 with -U --nodeps worked fine for me.

~Michael

On Thu, 31 Mar 2005 05:04:06 -0800, Phil Wood <woodp (AT) woodp (DOT) com> wrote:
> Similar setup here ... And somewhat confused. The release notes suggest
> uninstalling 5.4 before proceeding, but an 'rpm -e' yields an "error:
> slimserver-5.4.1.noarch.rpm is not installed"
>
> I'm not ready to blindly 'rpm -U' the new 6.0 stuff but I also have had the
> time to figure out what's going on. Hope your upgrade goes a bit smoother
> ...
>
>
> > -----Original Message-----
> > From: discuss-bounces (AT) lists (DOT) slimdevices.com
> > [mailto:discuss-bounces (AT) lists (DOT) slimdevices.com] On Behalf Of
> > Michael Amster
> > Sent: Wednesday, March 30, 2005 1:36 PM
> > To: Slim Devices Discussion
> > Subject: [slim] Upgrade notes for 5.4.0 RPM to 6.0.0
> >
> > Hi:
> >
> > I looked at the release notes to see if there were any issues
> > in upgrading from 5.4.0 to 6.0.0. I know that I will have to
> > upgrade Softsqueeze to the appropriate 2.0bx release, but are
> > there any other steps that I should take before doing an 'rpm -Uvh'?
> >
> > My setup is the following:
> >
> > 1. Linux FC3 server running Slimserver 5.4.0
> >
>
>